## caspar 1.0

=== DESCRIPTION ===
Package: caspar
Type: Package
Title: Clustered and sparse regression (CaSpaR)
Version: 1.0
Date: 2010-11-15
Author: Daniel Percival
Maintainer: Daniel Percival <dperciva@andrew.cmu.edu>
Depends: R (>= 2.10.1), mvtnorm
Description: Clustered and sparse regression gives structured sparse
        solutions to regression problems.  In particular, we consider
        cases where the structural relationship between predictors can
        be cast as a pairwise distance.  The package gives fitting and
        cross validation routines for parameter selection.
License: GPL-2
Suggests: mvtnorm
LazyLoad: yes
Packaged: 2012-10-29 08:58:20 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:58:20

## caspar 20120514

=== debian/changelog ===
caspar (20120514-1) unstable; urgency=low

  * New experimental upstream release.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 16 May 2012 14:18:50 +0200

caspar (20120508-1) unstable; urgency=low

  * New experimental upstream release (missed 20120420).
  * debian/watch: added.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 08 May 2012 10:35:23 +0200

caspar (20120417-1) unstable; urgency=low

  * New experimental upstream release, not uploaded to Debian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 17 Apr 2012 06:56:17 +0200

caspar (20120322-1) unstable; urgency=low

  * New upstream release (not uploaded to Debian):
    - backwards incompatible with caspar <= 20101204: csp_CPDIRS and
      csp_CPDIR are no longer honored, see /usr/share/doc/caspar/NEWS.gz.
    - debian/copyright: updated.
  * debian/rules: no longer inspect DEB_BUILD_OPTIONS for "debug" or
    "nostrip": we are arch independent
  * debian/control: update my name.
  * debian/caspar-doc.doc-base.caspar-typesetting: fix spelling error
    (thanks lintian).
  * debian/control: bumped Standards-Version: from 3.9.1 to 3.9.3 (no
    changes needed).
  * debian/rules: add build-arch and build-indep targets (thanks lintian).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 12 Apr 2012 23:44:44 +0200

caspar (20101204-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete CVS tags.
  * debian/control: bumped Standards-Version: from 3.8.3 to 3.9.1 (no
    changes needed).
  * debian/{control,compat}: Bump debhelper from 5 to 7.
  * debian/rules: update debhelper usage: replace "$(MAKE) distclean" with
    dh_auto_clean, replace "dh_clean -k" with dh_prep.
  * debian/control: update Suggests to current packagenames: remove
    "gv | postscript-viewer" (since provided by ghostscript), replace now
    obsolete gs-common with ghostscript, replace texlive-base-bin by
    texlive-binaries.
  * debian/control: enhance description, mention puppet and cfengine.

 -- Joost van Baal <joostvb@debian.org>  Sat, 12 Feb 2011 01:21:45 +0100

caspar (20100624-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/source: Switch to dpkg-source 3.0 (quilt) format, per
    http://wiki.debian.org/Projects/DebSrc3.0# .

 -- Joost van Baal <joostvb@debian.org>  Thu, 24 Jun 2010 14:59:50 +0200

caspar (20100223-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Add Vcs-Git, now that upstream (and debian/) migrated from CVS to git.
    + Update obsolete < to << (thanks lintian)
    + Add missing ${misc:Depends} (thanks lintian)

 -- Joost van Baal <joostvb@debian.org>  Tue, 23 Feb 2010 17:28:43 +0100

caspar (20091115-1) unstable; urgency=low

  * New upstream release (missed: 20090926, 20091114).
  * Renamed caspar-doc.doc-base.csp_sucp to caspar-doc.doc-base.csp_helper.
  * Upstream README and NEWS, as well as caspar(7) and caspar-typesetting(7)
    manpages now shipped with caspar; no longer with caspar-doc.
    + Therefore, adjusted extended description of caspar-doc in debian/control.
    + Add Conflicts: caspar-doc (< 20091115-1) to caspar debian/control: deal
      sane when upgrading on systems where e.g. /u/s/d/caspar/README from an
      old caspar-doc package is present.
  * debian/control: bumped Standards-Version: from 3.8.1 to 3.8.3 (no
    changes needed).
  * debian/copyright: update year, explicitly state GPL v3 or later.

 -- Joost van Baal <joostvb@debian.org>  Sat, 14 Nov 2009 08:43:20 +0100

caspar (20090406-1) unstable; urgency=low

  * New upstream release; backwards incompatible with caspar <= 20060216.
    See upstream NEWS file.
  * debian/control: use new Homepage field.
  * debian/control: add CVS Id tags.
  * debian/control: bumped Standards-Version: from 3.7.2.0 to 3.8.1 (no
    changes needed).
  * debian/control: no longer suggest obsolete package tetex-bin, but its
    successor.
  * debian/caspar-doc.doc-base.*: use new doc-base sections.
  * debian/copyright: upstream changed license to GPL v3, adjusted.

 -- Joost van Baal <joostvb@debian.org>  Fri, 19 Jun 2009 22:55:32 +0200

caspar (20070729-1) unstable; urgency=low

  * New upstream (missed: 20070713).
  * debian/control: add perl to suggests, for pod2{html,man} as called
    in pod.mk.  Remove "Conflicts: caspar (<< 20040531-1)" from caspar-doc:
    even oldstable doesn't ship such old versions.  Improve package description.
  * Move DH_COMPAT from debian/rules to debian/compat, and move from 4 to 5.
    Thanks lintian.  (And: Get rid of unneeded debian/dirs.  Nice CVS Id tag in
    debian/docs.)
  * debian/rules: don't ignore all errors from "make distclean".  Thanks again
    lintian.

 -- Joost van Baal <joostvb@debian.org>  Wed, 15 Aug 2007 09:15:35 +0200

caspar (20060618-1) unstable; urgency=low

  * New upstream (missed: snapshots 20060216, 20060531, 20060608, 20060610).
  * Beware: change in caspar.mk user interface.  See the 20060216 entry in
    /usr/share/doc/caspar/NEWS.gz and caspar(7), as installed with the
    caspar-doc package.  For now, backwards compatibility is supplied.
  * debian/{caspar-doc.install,caspar-doc.doc-base.csp_sucp,rules}: install
    and register csp_sucp(1) documentation.
  * debian/control: bumped Standards-Version: from 3.6.2.0 to 3.7.2.0 (no
    changes needed).
  * debian/control: Build-Depends upon debhelper, not Build-Depends-Indep.
    Thanks lintian.

 -- Joost van Baal <joostvb@debian.org>  Sun, 18 Jun 2006 19:56:50 +0200

caspar (20050424-2) unstable; urgency=low

  * debian/copyright: fixed FSF address.
  * debian/caspar-doc.doc-base.caspar-typesetting: caspar-typesetting.txt
    is not compressed: fix filename :-/
  * debian/control: bumped Standards-Version from 3.6.1.0 to 3.6.2.0 (no
    changes needed.)
  * debian/control: found out how to add Homepage pseudo-field (finally!)
  * debian/control: fixed stupid mistake in Conflicts.  Thanks Daniel
    Schepler.  (closes: #352784)



## caspar 20120530

=== debian/changelog ===
caspar (20120530-1) unstable; urgency=low

  * New upstream release (missed 20120514).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 30 May 2012 14:17:00 +0200

=== debian/control ===
# debian/control
Source: caspar
Section: devel
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://mdcc.cx/caspar
Vcs-Git: http://git.mdcc.cx/caspar

Package: caspar
Architecture: all
Conflicts: caspar-doc (<< 20091115-1)
Depends: make, ${misc:Depends}
Suggests: jade, jadetex, texlive-latex-base, texlive-binaries, w3m, ghostscript, psutils, lpr, man-db, docbook-dsssl, perl, caspar-doc
Description: Makefile snippets for centralized configuration management and typesetting
 Caspar offers Makefile snippets for tasks like installing files you maintain
 using a version control system, or typesetting documents in some markup
 language.
 .
 If you need to maintain and distribute lots of files (system configuration
 files for Unix hosts using a version control system, e.g.), caspar is likely
 useful for you.
 It is comparable with other tools for Unix system administrators like
 puppet and cfengine.  Main difference: the caspar code consists of less than
 100 lines of GNU Make, so if puppet and cfengine are overkill for your needs,
 you'll probably like the small and simple caspar tool.
 .
 If you write documents in a markup language like LaTeX, DocBook
 XML, DocBook SGML or POD, and want to automate the typesetting, you'll
 like caspar.  Install all suggested packages if you'd like to use this
 typesetting functionality (or pick the suitable ones from the list of
 suggested packages).
 .
 It's not strictly necessary to know how to write Makefiles when using caspar.

Package: caspar-doc
Architecture: all
Section: doc
Suggests: caspar
Depends: ${misc:Depends}
Description: documentation for caspar
 Caspar offers Makefile snippets for common tasks, like installing (system
 configuration) files or typesetting documentation.
 .
 This package contains the caspar manpages in HTML and PostScript format as
 well as some other documentation.

## caspar 20140106

=== debian/changelog ===
caspar (20140106-1ubuntu2) trusty; urgency=medium

  * Partially revert last upload, libtool-bin has gone away again.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Jan 2014 03:10:33 -0700

caspar (20140106-1ubuntu1) trusty; urgency=low

  * Add missing build dependencies, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 07 Jan 2014 11:11:10 -0500

caspar (20140106-1) unstable; urgency=low

  * New upstream release - The Bakertand Release.  (Missed:
    version 20131119 - The Sint Agatha Release.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 06 Jan 2014 11:20:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Source: caspar
 Section: devel
 Priority: optional
-Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 7)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
+Build-Depends: debhelper (>= 7), dh-autoreconf
 Standards-Version: 3.9.3
 Homepage: http://mdcc.cx/caspar
 Vcs-Git: http://git.mdcc.cx/caspar

## caspar 20140203

=== debian/changelog ===
caspar (20140203-1) unstable; urgency=low

  * New upstream release - The Matonge, BXL Release
    + Makefile.am, configure.ac: "make distcheck" runs successfully again.
      Fixes "FTBFS: /«PKGBUILDDIR»/missing: line 81: aclocal-1.14: command
      not found".  Thanks David Suárez. (closes: #735789)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 05 Feb 2014 09:17:01 +0100

## caspar 20140919

=== debian/changelog ===
caspar (20140919-1) unstable; urgency=low

  * New upstream release - The Prnjavor Release
  * debian/control: bumped Standards-Version: from 3.9.3 to 3.9.5 (no
    changes needed).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 24 Sep 2014 10:03:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Source: caspar
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 7), dh-autoreconf
-Standards-Version: 3.9.3
+Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.5
 Homepage: http://mdcc.cx/caspar
 Vcs-Git: http://git.mdcc.cx/caspar

## caspar 20170830

=== debian/changelog ===
caspar (20170830-1) unstable; urgency=low

  * New upstream release - The Bleukbos Release
  * debian/control: bumped Standards-Version: from 3.9.5 to 3.9.7 (no
    changes needed: caspar-doc behaves as now specified in policy 12.3).
  * debian/control: fix Homepage and Vcs-Git fields: work around bug in my
    current bozohttpd webserver.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 30 Aug 2017 13:03:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.5
-Homepage: http://mdcc.cx/caspar
-Vcs-Git: http://git.mdcc.cx/caspar
+Standards-Version: 3.9.7
+Homepage: http://mdcc.cx/caspar/
+Vcs-Git: http://git.mdcc.cx/caspar.git/
 
 Package: caspar
 Architecture: all

=== debian/watch ===
version=3
http://mdcc.cx/pub/caspar/caspar-(.*)\.tar\.gz

## caspar 20180315

=== debian/changelog ===
caspar (20180315-2) unstable; urgency=medium

  * debian/watch: now actually usable: no longer matches caspar-latest.tar.gz
  * debian/watch: updated version from 3 to 4.
  * debian/upstream/signing-key.asc: added in order to automagically verify
    upstream signature.
  * debian/control: caspar-doc marked "Multiarch: foreign" since it is
    Architecture: all, does not contain any maintainer scripts and does not
    have any dependencies on architecture-dependent packages.  Thanks
    Multiarch hinter.
  * debian/compat, debian/control: updated debhelper compatibility level from
    9 to 10.  Now needs stretch/9 (stable) (or 8/jessie-backports) to build.
    (We should still run fine on 7/wheezy.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 23 Sep 2018 10:23:44 +0200

caspar (20180315-1) unstable; urgency=low

  * New upstream release - The Romstjern Release
  * debian/control: update Suggests: "please transition from jadetex to
    texlive-formats-extra". Thanks PREINING Norbert. (closes: #871753, #871746)
  * debian/{compat,control}: update from debhelper 7 to 9.
  * debian/control: bumped Standards-Version: from 3.9.7 to 3.9.8 (no
    changes needed).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 15 Mar 2018 14:26:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Section: devel
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
 Homepage: http://mdcc.cx/caspar/
 Vcs-Git: http://git.mdcc.cx/caspar.git/
 
@@ -12,7 +12,7 @@
 Architecture: all
 Conflicts: caspar-doc (<< 20091115-1)
 Depends: make, ${misc:Depends}
-Suggests: jade, jadetex, texlive-latex-base, texlive-binaries, w3m, ghostscript, psutils, lpr, man-db, docbook-dsssl, perl, caspar-doc
+Suggests: jade, texlive-formats-extra, texlive-latex-base, texlive-binaries, w3m, ghostscript, psutils, lpr, man-db, docbook-dsssl, perl, caspar-doc
 Description: Makefile snippets for centralized configuration management and typesetting
  Caspar offers Makefile snippets for tasks like installing files you maintain
  using a version control system, or typesetting documents in some markup
@@ -39,6 +39,7 @@
 Section: doc
 Suggests: caspar
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: documentation for caspar
  Caspar offers Makefile snippets for common tasks, like installing (system
  configuration) files or typesetting documentation.

## caspar 20200611

=== debian/changelog ===
caspar (20200611-2) unstable; urgency=medium

  * Reupload as source-only in order to facilitate migration to testing.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 10 Jul 2020 16:05:26 +0200

caspar (20200611-1) unstable; urgency=medium

  * New upstream release - The Minneapolis Release
    + This release dedicated to James Baldwin (★ 1924 – † 1987).
    + Now ships with complete caspar(7) manpage: no longer trunkated.
  * debian/copyright: converted to machine-readable DEP5 debian/copyright
    file, no longer refer to common-licenses/GPL but to
    versioned /usr/share/common-licenses/GPL-3.
  * debian/control: require current debhelper compat version 13,
    as shipped with Debian 11 "bullseye" and with buster-backports; not
    obsolete 10.
  * debian/control: add explicit "Rules-Requires-Root: binary-targets".

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 17 Jun 2020 13:36:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Section: devel
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 13)
+Rules-Requires-Root: binary-targets
 Standards-Version: 3.9.8
 Homepage: http://mdcc.cx/caspar/
 Vcs-Git: http://git.mdcc.cx/caspar.git/

=== debian/watch ===
# uscan(1)
version=4
opts="pgpsigurlmangle=s/$/.asc/" http://mdcc.cx/pub/caspar/ caspar-([\d\.]+)\.tar\.xz

## caspar 20220907

=== debian/changelog ===
caspar (20220907-1) unstable; urgency=medium

  * New upstream release - The Stanowischt Release
    + debian/copyright: updated years.
  * debian/control: add: Suggests: markdown.
  * debian/control: wrap extended description, tnx lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 09 Sep 2022 10:17:06 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: all
 Conflicts: caspar-doc (<< 20091115-1)
 Depends: make, ${misc:Depends}
-Suggests: jade, texlive-formats-extra, texlive-latex-base, texlive-binaries, w3m, ghostscript, psutils, lpr, man-db, docbook-dsssl, perl, caspar-doc
+Suggests: jade, texlive-formats-extra, texlive-latex-base, texlive-binaries, w3m, ghostscript, psutils, lpr, man-db, docbook-dsssl, perl, markdown, caspar-doc
 Description: Makefile snippets for centralized configuration management and typesetting
  Caspar offers Makefile snippets for tasks like installing files you maintain
  using a version control system, or typesetting documents in some markup
@@ -28,8 +28,8 @@
  you'll probably like the small and simple caspar tool.
  .
  If you write documents in a markup language like LaTeX, DocBook
- XML, DocBook SGML or POD, and want to automate the typesetting, you'll
- like caspar.  Install all suggested packages if you'd like to use this
+ XML, DocBook SGML, POD or Markdown, and want to automate the typesetting,
+ you'll like caspar.  Install all suggested packages if you'd like to use this
  typesetting functionality (or pick the suitable ones from the list of
  suggested packages).
  .

=== debian/rules ===
#!/usr/bin/make -f

# Maintained using git at http://git.mdcc.cx/caspar.

# Based upon sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# This is to turn on verbose mode.
# export DH_VERBOSE=1

# allow bashism's in commandlines
SHELL = /bin/bash

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: configure
	dh_testdir
#	# commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-arch build-indep

build-arch:

build-indep: build-stamp

build-stamp: config.status
	dh_testdir

#	# commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

#	# commands to clean up after the build process.
	dh_auto_clean
	dh_clean

#
# we split the package in caspar and caspar-doc.  Rationale: as of 2005-03,
# caspar-doc is more than twice the size of caspar.
#
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

#	# commands to install the package into debian/caspar.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/caspar

#	# clean up unneeded docs
	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/c*sp*.azm

#	# process caspar-doc.install
	dh_install --sourcedir=debian/caspar
	dh_installdocs

#	# clean up files copied to caspar-doc
	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/{AUTHORS,THANKS,TODO,ChangeLog.2002}
	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/{caspar*,csp_*}.{ps,html,txt}

#	# get rid of COPYING (we use the debian/copyright file)
	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/COPYING
#	# get rid of ChangeLog (dealt with by dh_installchangelogs)
	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/ChangeLog
	dh_installchangelogs -p caspar ChangeLog
	mv $(CURDIR)/debian/caspar/usr/share/doc/caspar/changelog $(CURDIR)/debian/caspar-doc/usr/share/doc/caspar/
	dh_installchangelogs -p caspar-doc ChangeLog
	rm $(CURDIR)/debian/caspar-doc/usr/share/doc/caspar-doc/changelog

# Build architecture-independent files
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files
binary-arch: build install
# we are architecture-independent

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## caspar 20240818

=== debian/changelog ===
caspar (20240818-2) unstable; urgency=medium

  * d/control: add aephea to Build-Depends, in order to get rid of
    "[\dofile#2] failed to open file <pud/man.zmm>" build failure.  The zoem
    package does not Depend upon aephea, but merely Suggests it.  Thanks
    Phil Wyett for pointing this out.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 11 Oct 2024 16:13:36 +0200

caspar (20240818-1) unstable; urgency=medium

  * New upstream release - The Meždo Release
    + Upstream no longer ships typesetted (zoem) documentation in tarball
      release, but build-depends upon zoem.  This closes "Fails to build
      binary packages again after successful build". Thanks Lucas Nussbaum.
      (However, under some circumstances, dpkg-source detects local changes in
      aclocal.m4 and configure.  This might indicate a related bug.)
      (closes: #1049637)
    + d/control: add zoem, tidy and w3m to Build-Depends.
    + d/control: s/markdown/cmark/ in Suggests.
    + d/{rules,caspar-doc.install,caspar-doc.doc-base.{caspar,
      caspar-typesetting,csp_helper}}: do not try to install PostScript files:
      upstream no longer generates those.  BTW, one can easily generate .ps or
      PDF from manpages; e.g. "man -t caspar | ps2pdf" generates Portable
      Document Format on stdout.

  * d/{rules,lintian-overrides}: added lintian-overrides, call dh_lintian. see
    Bug#1076648: 'aephea: causes groff warning "cannot select font 'C'" [...]'
    and see also https://savannah.gnu.org/bugs/index.php?64594 .

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 10 Oct 2024 12:37:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: devel
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 13)
+Build-Depends: debhelper (>= 13), zoem, aephea, tidy, w3m
 Rules-Requires-Root: binary-targets
 Standards-Version: 3.9.8
 Homepage: http://mdcc.cx/caspar/
@@ -13,7 +13,7 @@
 Architecture: all
 Conflicts: caspar-doc (<< 20091115-1)
 Depends: make, ${misc:Depends}
-Suggests: jade, texlive-formats-extra, texlive-latex-base, texlive-binaries, w3m, ghostscript, psutils, lpr, man-db, docbook-dsssl, perl, markdown, caspar-doc
+Suggests: jade, texlive-formats-extra, texlive-latex-base, texlive-binaries, w3m, ghostscript, psutils, lpr, man-db, docbook-dsssl, perl, cmark, caspar-doc
 Description: Makefile snippets for centralized configuration management and typesetting
  Caspar offers Makefile snippets for tasks like installing files you maintain
  using a version control system, or typesetting documents in some markup

=== debian/rules ===
--- 
+++ 
@@ -65,9 +65,12 @@
 	dh_install --sourcedir=debian/caspar
 	dh_installdocs
 
+#	# install lintian-overrides
+	dh_lintian
+
 #	# clean up files copied to caspar-doc
 	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/{AUTHORS,THANKS,TODO,ChangeLog.2002}
-	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/{caspar*,csp_*}.{ps,html,txt}
+	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/{caspar*,csp_*}.{html,txt}
 
 #	# get rid of COPYING (we use the debian/copyright file)
 	rm $(CURDIR)/debian/caspar/usr/share/doc/caspar/COPYING

## caspar 20251012

=== debian/changelog ===
caspar (20251012-1) unstable; urgency=medium

  * New upstream release - The Land van Kleef Release
    + s/jade/openjade/ , see #846178 "RM: jade". tnx Carles Pina i Estany
      (closes: #1117818)
    + Makefile.am, bootstrap, setversion, doc/Makefile.am, doc/include.zmm: be
      more explicit about software license.  Thanks Phil 'kathenas.org' Wyett
      in #1084920 "RFS: caspar/20240818-1" and the 'licensecheck' script as
      shipped with App::Licensecheck.

  * d/control: remove obsolete "Conflicts: caspar-doc (<< 20091115-1)".  A
    package caspar-doc << 20091115-1 has not been shipped with any Debian
    release since a very long time (Debian 10 ("buster"), current o-o-stable
    ships caspar 20180315-2); upgrading from such ancient Debian releases
    is not supported.  Thanks Phil Wyett.

  * d/copyright: INSTALL is licensed FSFAP, not GPL-3+.  Thanks Phil Wyett.
    Remove obsolete FSF address, thanks lintian.

  * d/control: add comment about unmaintained status of Suggest-ed lpr.

  * d/control: claim standards adherence 4.0.0 (May, 2017; was: 3.9.8):
    - d/rules: call dh_update_autotools_config as supplied by debhelper, in
      order to make sure our config.sub and config.guess are up to date.
    - d/copyright: s/http/https/ in Format.

  * d/upstream/signing-key.asc: resynced with fixed key.  My key no longer
    suffers from: "User ID protected by SHA-1", "a backsig that uses SHA-1".
    Thanks Guillem Jover in
    https://lists.debian.org/msgid-search/Z9tmRAOiXddsAsBb@thunder.hadrons.org
    .

  * d/rules: add some comments about upcoming nodoc support.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 27 Dec 2025 10:38:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 13), zoem, aephea, tidy, w3m
 Rules-Requires-Root: binary-targets
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://mdcc.cx/caspar/
 Vcs-Git: http://git.mdcc.cx/caspar.git/
 
 Package: caspar
 Architecture: all
-Conflicts: caspar-doc (<< 20091115-1)
 Depends: make, ${misc:Depends}
 Suggests: jade, texlive-formats-extra, texlive-latex-base, texlive-binaries, w3m, ghostscript, psutils, lpr, man-db, docbook-dsssl, perl, cmark, caspar-doc
+X-Comment: lpr is unmaintained as of dec 2025, see #1121611.
+ however, installing the maintained cups or lprng with satisfy the Suggests,
+ so we are fine.
 Description: Makefile snippets for centralized configuration management and typesetting
  Caspar offers Makefile snippets for tasks like installing files you maintain
  using a version control system, or typesetting documents in some markup

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,23 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+####
+#
+# FIXME TODO Support for nodoc "DEB_BUILD_OPTIONS" tag is "recommended"
+# in Debian Policy since 4.0.0.  So, in a caspar > 20251012, do something
+# like:
+#
+#  % HASZOEM=no ./configure
+#
+# and/or
+#
+#  % make -C doc HASZOEM=no
+#
+###
 
 config.status: configure
 	dh_testdir
+	dh_update_autotools_config
 #	# commands to configure the package.
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
